#!/usr/bin/perl -w
# Alle Adressen der Pilot-Datenbank ausgeben,
# bei denen eine EMail-Anschrift existiert

use PDA::Pilot;
use strict; 
# Link auf die serielle Schnittstelle
my $port = "/dev/pilot";
# Socket erzeugen
my $socket = PDA::Pilot::openPort($port);

print "HotSync aktivieren...\n";

my $dlp = PDA::Pilot::accept($socket);

# Adredatenbank oeffnen
my $db = $dlp->open("AddressDB");

# ber alle Adrefelder gehen, ggf. 
# EMail-Adresse und den Namen und Vornamen
# ausgeben
my $i = 0;
my $r = undef;

while ($r = $db->getRecord($i))
{
   if($r->{entry}[7]) {
     print "Name   : ",$r->{entry}[0],"\n";
     print "Vorname: ",$r->{entry}[1],"\n";
     print "E-Mail : ",$r->{entry}[7],"\n";
     print "-------------------------------------\n";
   }
   $i++;
}

$db->close();
